% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/emp.hpd.R
\name{emp.hpd}
\alias{emp.hpd}
\title{HPD sets based on empirical probabilities of counts}
\usage{
emp.hpd(x, conf = 0.9)
}
\arguments{
\item{x}{A vector of realizations of count data from its posterior distribution.}

\item{conf}{The desired confidence level; defaults to 0.90.}
}
\value{
A vector of all the elements of the interval.
}
\description{
This function computes HPD sets based on empirical probabilities of counts.
}
\details{
This function is often applied to compute the highest posterior density sets when we have realizations of count data from its posterior distribution (results from an MCMC run), but can also be applied to any distribution of count data, including priors.

The values returned will be conservative (i.e., too wide rather than too narrow), and will be unstable if few values are provided.
}
\examples{
x <- rpois(10000, 10) # random draw from a Poisson distribution
emp.hpd(x)

}
\references{
\insertRef{Mere:Krus:2020}{NbBvs}
}
